#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcKangarooTail[] cacheitcKangarooTail;

		
		public itcKangarooTail itcKangarooTail(string softwareDescription, string machineAccount, string softwareActivationKey, double candleSizeAtr, EnumTradeFilters tradeFilter, double arrowDistance, Brush arrowUpColor, Brush arrowDownColor, bool usePreAlerts, int preAlertSeconds, bool usePopupPreAlerts, bool useSoundPreAlerts, string soundFilePreAlerts, bool useEmailPreAlerts, string emailPreAlertsSendTo, bool useOutputPreAlerts, bool useConfirmedSignals, int maxDelayConfirmedSeconds, bool usePopupConfirmed, bool useSoundConfirmed, string soundFileConfirmed, bool useEmailConfirmed, string emailConfirmedSendTo, bool useOutputConfirmed)
		{
			return itcKangarooTail(Input, softwareDescription, machineAccount, softwareActivationKey, candleSizeAtr, tradeFilter, arrowDistance, arrowUpColor, arrowDownColor, usePreAlerts, preAlertSeconds, usePopupPreAlerts, useSoundPreAlerts, soundFilePreAlerts, useEmailPreAlerts, emailPreAlertsSendTo, useOutputPreAlerts, useConfirmedSignals, maxDelayConfirmedSeconds, usePopupConfirmed, useSoundConfirmed, soundFileConfirmed, useEmailConfirmed, emailConfirmedSendTo, useOutputConfirmed);
		}


		
		public itcKangarooTail itcKangarooTail(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, double candleSizeAtr, EnumTradeFilters tradeFilter, double arrowDistance, Brush arrowUpColor, Brush arrowDownColor, bool usePreAlerts, int preAlertSeconds, bool usePopupPreAlerts, bool useSoundPreAlerts, string soundFilePreAlerts, bool useEmailPreAlerts, string emailPreAlertsSendTo, bool useOutputPreAlerts, bool useConfirmedSignals, int maxDelayConfirmedSeconds, bool usePopupConfirmed, bool useSoundConfirmed, string soundFileConfirmed, bool useEmailConfirmed, string emailConfirmedSendTo, bool useOutputConfirmed)
		{
			if (cacheitcKangarooTail != null)
				for (int idx = 0; idx < cacheitcKangarooTail.Length; idx++)
					if (cacheitcKangarooTail[idx].SoftwareDescription == softwareDescription && cacheitcKangarooTail[idx].MachineAccount == machineAccount && cacheitcKangarooTail[idx].SoftwareActivationKey == softwareActivationKey && cacheitcKangarooTail[idx].CandleSizeAtr == candleSizeAtr && cacheitcKangarooTail[idx].TradeFilter == tradeFilter && cacheitcKangarooTail[idx].ArrowDistance == arrowDistance && cacheitcKangarooTail[idx].ArrowUpColor == arrowUpColor && cacheitcKangarooTail[idx].ArrowDownColor == arrowDownColor && cacheitcKangarooTail[idx].UsePreAlerts == usePreAlerts && cacheitcKangarooTail[idx].PreAlertSeconds == preAlertSeconds && cacheitcKangarooTail[idx].UsePopupPreAlerts == usePopupPreAlerts && cacheitcKangarooTail[idx].UseSoundPreAlerts == useSoundPreAlerts && cacheitcKangarooTail[idx].SoundFilePreAlerts == soundFilePreAlerts && cacheitcKangarooTail[idx].UseEmailPreAlerts == useEmailPreAlerts && cacheitcKangarooTail[idx].EmailPreAlertsSendTo == emailPreAlertsSendTo && cacheitcKangarooTail[idx].UseOutputPreAlerts == useOutputPreAlerts && cacheitcKangarooTail[idx].UseConfirmedSignals == useConfirmedSignals && cacheitcKangarooTail[idx].MaxDelayConfirmedSeconds == maxDelayConfirmedSeconds && cacheitcKangarooTail[idx].UsePopupConfirmed == usePopupConfirmed && cacheitcKangarooTail[idx].UseSoundConfirmed == useSoundConfirmed && cacheitcKangarooTail[idx].SoundFileConfirmed == soundFileConfirmed && cacheitcKangarooTail[idx].UseEmailConfirmed == useEmailConfirmed && cacheitcKangarooTail[idx].EmailConfirmedSendTo == emailConfirmedSendTo && cacheitcKangarooTail[idx].UseOutputConfirmed == useOutputConfirmed && cacheitcKangarooTail[idx].EqualsInput(input))
						return cacheitcKangarooTail[idx];
			return CacheIndicator<itcKangarooTail>(new itcKangarooTail(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, CandleSizeAtr = candleSizeAtr, TradeFilter = tradeFilter, ArrowDistance = arrowDistance, ArrowUpColor = arrowUpColor, ArrowDownColor = arrowDownColor, UsePreAlerts = usePreAlerts, PreAlertSeconds = preAlertSeconds, UsePopupPreAlerts = usePopupPreAlerts, UseSoundPreAlerts = useSoundPreAlerts, SoundFilePreAlerts = soundFilePreAlerts, UseEmailPreAlerts = useEmailPreAlerts, EmailPreAlertsSendTo = emailPreAlertsSendTo, UseOutputPreAlerts = useOutputPreAlerts, UseConfirmedSignals = useConfirmedSignals, MaxDelayConfirmedSeconds = maxDelayConfirmedSeconds, UsePopupConfirmed = usePopupConfirmed, UseSoundConfirmed = useSoundConfirmed, SoundFileConfirmed = soundFileConfirmed, UseEmailConfirmed = useEmailConfirmed, EmailConfirmedSendTo = emailConfirmedSendTo, UseOutputConfirmed = useOutputConfirmed }, input, ref cacheitcKangarooTail);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcKangarooTail itcKangarooTail(string softwareDescription, string machineAccount, string softwareActivationKey, double candleSizeAtr, EnumTradeFilters tradeFilter, double arrowDistance, Brush arrowUpColor, Brush arrowDownColor, bool usePreAlerts, int preAlertSeconds, bool usePopupPreAlerts, bool useSoundPreAlerts, string soundFilePreAlerts, bool useEmailPreAlerts, string emailPreAlertsSendTo, bool useOutputPreAlerts, bool useConfirmedSignals, int maxDelayConfirmedSeconds, bool usePopupConfirmed, bool useSoundConfirmed, string soundFileConfirmed, bool useEmailConfirmed, string emailConfirmedSendTo, bool useOutputConfirmed)
		{
			return indicator.itcKangarooTail(Input, softwareDescription, machineAccount, softwareActivationKey, candleSizeAtr, tradeFilter, arrowDistance, arrowUpColor, arrowDownColor, usePreAlerts, preAlertSeconds, usePopupPreAlerts, useSoundPreAlerts, soundFilePreAlerts, useEmailPreAlerts, emailPreAlertsSendTo, useOutputPreAlerts, useConfirmedSignals, maxDelayConfirmedSeconds, usePopupConfirmed, useSoundConfirmed, soundFileConfirmed, useEmailConfirmed, emailConfirmedSendTo, useOutputConfirmed);
		}


		
		public Indicators.itcKangarooTail itcKangarooTail(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, double candleSizeAtr, EnumTradeFilters tradeFilter, double arrowDistance, Brush arrowUpColor, Brush arrowDownColor, bool usePreAlerts, int preAlertSeconds, bool usePopupPreAlerts, bool useSoundPreAlerts, string soundFilePreAlerts, bool useEmailPreAlerts, string emailPreAlertsSendTo, bool useOutputPreAlerts, bool useConfirmedSignals, int maxDelayConfirmedSeconds, bool usePopupConfirmed, bool useSoundConfirmed, string soundFileConfirmed, bool useEmailConfirmed, string emailConfirmedSendTo, bool useOutputConfirmed)
		{
			return indicator.itcKangarooTail(input, softwareDescription, machineAccount, softwareActivationKey, candleSizeAtr, tradeFilter, arrowDistance, arrowUpColor, arrowDownColor, usePreAlerts, preAlertSeconds, usePopupPreAlerts, useSoundPreAlerts, soundFilePreAlerts, useEmailPreAlerts, emailPreAlertsSendTo, useOutputPreAlerts, useConfirmedSignals, maxDelayConfirmedSeconds, usePopupConfirmed, useSoundConfirmed, soundFileConfirmed, useEmailConfirmed, emailConfirmedSendTo, useOutputConfirmed);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcKangarooTail itcKangarooTail(string softwareDescription, string machineAccount, string softwareActivationKey, double candleSizeAtr, EnumTradeFilters tradeFilter, double arrowDistance, Brush arrowUpColor, Brush arrowDownColor, bool usePreAlerts, int preAlertSeconds, bool usePopupPreAlerts, bool useSoundPreAlerts, string soundFilePreAlerts, bool useEmailPreAlerts, string emailPreAlertsSendTo, bool useOutputPreAlerts, bool useConfirmedSignals, int maxDelayConfirmedSeconds, bool usePopupConfirmed, bool useSoundConfirmed, string soundFileConfirmed, bool useEmailConfirmed, string emailConfirmedSendTo, bool useOutputConfirmed)
		{
			return indicator.itcKangarooTail(Input, softwareDescription, machineAccount, softwareActivationKey, candleSizeAtr, tradeFilter, arrowDistance, arrowUpColor, arrowDownColor, usePreAlerts, preAlertSeconds, usePopupPreAlerts, useSoundPreAlerts, soundFilePreAlerts, useEmailPreAlerts, emailPreAlertsSendTo, useOutputPreAlerts, useConfirmedSignals, maxDelayConfirmedSeconds, usePopupConfirmed, useSoundConfirmed, soundFileConfirmed, useEmailConfirmed, emailConfirmedSendTo, useOutputConfirmed);
		}


		
		public Indicators.itcKangarooTail itcKangarooTail(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, double candleSizeAtr, EnumTradeFilters tradeFilter, double arrowDistance, Brush arrowUpColor, Brush arrowDownColor, bool usePreAlerts, int preAlertSeconds, bool usePopupPreAlerts, bool useSoundPreAlerts, string soundFilePreAlerts, bool useEmailPreAlerts, string emailPreAlertsSendTo, bool useOutputPreAlerts, bool useConfirmedSignals, int maxDelayConfirmedSeconds, bool usePopupConfirmed, bool useSoundConfirmed, string soundFileConfirmed, bool useEmailConfirmed, string emailConfirmedSendTo, bool useOutputConfirmed)
		{
			return indicator.itcKangarooTail(input, softwareDescription, machineAccount, softwareActivationKey, candleSizeAtr, tradeFilter, arrowDistance, arrowUpColor, arrowDownColor, usePreAlerts, preAlertSeconds, usePopupPreAlerts, useSoundPreAlerts, soundFilePreAlerts, useEmailPreAlerts, emailPreAlertsSendTo, useOutputPreAlerts, useConfirmedSignals, maxDelayConfirmedSeconds, usePopupConfirmed, useSoundConfirmed, soundFileConfirmed, useEmailConfirmed, emailConfirmedSendTo, useOutputConfirmed);
		}

	}
}

#endregion
